# TrackIR Mouse Emulation

# Run TrackIR Mouse Emulation program
# Use LCTRL-LSHIFT-Z to toggle this script on/off, enabled by default

def update():
    yaw = trackIR.yaw
    pitch = trackIR.pitch
   
    deltaYaw = filters.delta(yaw)
    deltaPitch = filters.delta(pitch)   
     
    if (enabled): #if (enabled and hotkey)
        mouse.deltaX = deltaYaw*multiply
        mouse.deltaY = -deltaPitch*multiply

if starting:
    enabled = True
    multiply = 20
    trackIR.update += update

#hotkey = mouse.rightButton
toggle = keyboard.getKeyDown(Key.LeftControl) and keyboard.getKeyDown(Key.LeftShift) and keyboard.getPressed(Key.Z)

if toggle:
    enabled = not enabled